Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236290 - bcm43xx wireless fails to work in G-only wireless environment
Summary: bcm43xx wireless fails to work in G-only wireless environment
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-12 21:08 UTC by Jarod Wilson
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-18 01:17:03 UTC


Attachments (Terms of Use)

Description Jarod Wilson 2007-04-12 21:08:10 UTC
Description of problem:
My PowerBook G4's bcm4306 wireless fails to function under Linux if my Linksys
WAP54G is set to 802.11g-only mode. Works fine under Linux if its in mixed b/g
mode, or if its in either b/g-mixed or g-only under Mac OS X.

Note: I have yet to see if the bcm43xx_mac80211 driver is any better, it was
only earlier today that I got a sufficiently new enough firmware in place to try
it out.

Version-Release number of selected component (if applicable):
2.6.20-1.3054.fc7

Comment 1 John W. Linville 2007-05-18 18:29:21 UTC
You should be using bcm43xx_mac80211 with recent rawhide/fc7 kernels...do they 
work better in g-only networks?

Comment 2 Jarod Wilson 2007-07-18 01:17:03 UTC
Sorry for the delay... Yeah, the bcm43xx_mac80211 driver works fine w/the base station set to G-only.


Note You need to log in before you can comment on or make changes to this bug.